Runtime

## org.eclipse.gmf.runtime.diagram.ui.parts
Interface IDiagramGraphicalViewer

All Superinterfaces:
  EditPartViewer, GraphicalViewer, ISelectionProvider

All Known Implementing Classes:
  DiagramGraphicalViewer

public interface IDiagramGraphicalViewer
extends GraphicalViewer

Nested Class Summary

Nested classes inherited from class org.eclipse.gef.EditPartViewer
`EditPartViewer.Conditional`

Method Summary
`java.util.List` `findEditPartsForElement(java.lang.String elementIdStr, java.lang.Class editPartClass)` Finds all editparts of a specific class type on the diagram that have been registered for the given element.
`IDiagramEditDomain` `getDiagramEditDomain()` Method getDiagramEditDomain.
`void` `registerEditPartForElement(java.lang.String elementIdStr, EditPart ep)` Registers an editpart for an element in the element/editpart registry.
`void` `unregisterEditPartForElement(java.lang.String elementIdStr, EditPart ep)` Unregisters an editpart for a element in the element/editpart registry.

Methods inherited from interface org.eclipse.gef.GraphicalViewer
`findHandleAt`

Methods inherited from interface org.eclipse.gef.EditPartViewer

`addDragSourceListener, addDragSourceListener, addDropTargetListener, addDropTargetListener, addPropertyChangeListener, appendSelection, createControl, deselect, deselectAll, findObjectAt, findObjectAtExcluding, findObjectAtExcluding, flush, getContents, getContextMenu, getControl, getEditDomain, getEditPartFactory, getEditPartRegistry, getFocusEditPart, getKeyHandler, getProperty, getRootEditPart, getSelectedEditParts, getSelection, getSelectionManager, getVisualPartMap, registerAccessibleEditPart, removeDragSourceListener, removeDragSourceListener, removeDropTargetListener, removeDropTargetListener, removePropertyChangeListener, reveal, select, setContents, setContents, setContextMenu, setControl, setCursor, setEditDomain, setEditPartFactory, setFocus, setKeyHandler, setProperty, setRootEditPart, setRouteEventsToEditDomain, setSelectionManager, unregisterAccessibleEditPart`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Method Detail

### getDiagramEditDomain

    public IDiagramEditDomain getDiagramEditDomain()

  Method getDiagramEditDomain.

  Returns:
    IDiagramEditDomain

### findEditPartsForElement

    public java.util.List findEditPartsForElement(java.lang.String elementIdStr,
                                                  java.lang.Class editPartClass)

  Finds all editparts of a specific class type on the diagram that have been registered for the given element.

  Parameters:
    `elementIdStr` - the element's id string
    `editPartClass` - the class of the editparts to be returned
  Returns:
    a List of editparts, if none exist an empty list is returned

### registerEditPartForElement

    public void registerEditPartForElement(java.lang.String elementIdStr,
                                           EditPart ep)

  Registers an editpart for an element in the element/editpart registry.

  Parameters:
    `elementIdStr` - the element's id string
    `ep` - the edit part to register for this element

### unregisterEditPartForElement

    public void unregisterEditPartForElement(java.lang.String elementIdStr,
                                             EditPart ep)

  Unregisters an editpart for a element in the element/editpart registry.

  Parameters:
    `elementIdStr` - the element's id string
    `ep` - the edit part to register for this element

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.